Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.crypt
Class EncryptionHeader

    java.lang.Object
      org.apache.poi.poifs.crypt.EncryptionHeader

    public class EncryptionHeader

extends java.lang.Object

Author:
  Maxim Valyanskiy

Field Summary
`static int` | `ALGORITHM_AES_128`
`static int` | `ALGORITHM_AES_192`
`static int` | `ALGORITHM_AES_256`
`static int` | `ALGORITHM_RC4`
`static int` | `HASH_SHA1`
`static int` | `PROVIDER_AES`
`static int` | `PROVIDER_RC4`

Constructor Summary
`EncryptionHeader(DocumentInputStream is)`

Method Summary
`int` | `getAlgorithm()`
`java.lang.String` | `getCspName()`
`int` | `getFlags()`
`int` | `getHashAlgorithm()`
`int` | `getKeySize()`
`int` | `getProviderType()`
`int` | `getSizeExtra()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALGORITHM_RC4

    public static final int ALGORITHM_RC4

See Also:
  Constant Field Values

### ALGORITHM_AES_128

    public static final int ALGORITHM_AES_128

See Also:
  Constant Field Values

### ALGORITHM_AES_192

    public static final int ALGORITHM_AES_192

See Also:
  Constant Field Values

### ALGORITHM_AES_256

    public static final int ALGORITHM_AES_256

See Also:
  Constant Field Values

### HASH_SHA1

    public static final int HASH_SHA1

See Also:
  Constant Field Values

### PROVIDER_RC4

    public static final int PROVIDER_RC4

See Also:
  Constant Field Values

### PROVIDER_AES

    public static final int PROVIDER_AES

See Also:
  Constant Field Values

Constructor Detail

### EncryptionHeader

    public EncryptionHeader(DocumentInputStream is)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getFlags

    public int getFlags()

### getSizeExtra

    public int getSizeExtra()

### getAlgorithm

    public int getAlgorithm()

### getHashAlgorithm

    public int getHashAlgorithm()

### getKeySize

    public int getKeySize()

### getProviderType

    public int getProviderType()

### getCspName

    public java.lang.String getCspName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.